<?php

namespace App\Enums;

use App\Enums\Concerns\HasValues;

enum EmploymentStatus: string
{
    use HasValues;

    case CONTRACT = 'contract';
    case FULL_TIME = 'full_time';
    case INTERNSHIP = 'internship';
    case PART_TIME = 'part_time';
    case RESIGNED = 'resigned';

    public function label(): string
    {
        return match ($this) {
            self::CONTRACT => 'Kontrak',
            self::FULL_TIME => 'Penuh Waktu',
            self::INTERNSHIP => 'Magang',
            self::PART_TIME => 'Paruh Waktu',
            self::RESIGNED => 'Keluar',
        };
    }
}
